library("serialization")
lstlocal <- readdata("localsvdgp.txt")
lstsvdgp <- readdata("svdgp.txt")

dfmse <- cbind(lstsvdgp$laavemse,lstlocal$lnavemse,lstlocal$lgavemse)
dfmse <- as.data.frame(log(dfmse))
write.table(dfmse,file="envmsmse.csv",row.names=FALSE,sep=",")

dfscore <- cbind(lstsvdgp$laavescore,lstlocal$lnavescore,lstlocal$lgavescore)
dfscore <- as.data.frame(dfscore)

write.table(dfscore,file="envmsscore.csv",row.names=FALSE,sep=",")
