forretal <- function(xx,timepoints)
{
    par1 <- xx[1]*6+4
    par2 <- xx[2]*16+4
    par3 <- xx[3]*6+1
    timepoints <- timepoints+1
    y <- (par1*timepoints-2)^2*sin(par2*timepoints-par3)
}
environ <- function(xx,timepoints=seq(from=0.3, to=60, by=0.3))
{
    M   <- xx[1]*6+7
    D   <- xx[2]*0.1+0.02
    L   <- xx[3]*2.99+0.01
    tau <- xx[4]*0.285+30.01
    s <- xx[5]*3
    rpi <- sqrt(pi)
    fdt <- 4*D*timepoints
    fdtau <- 4*D*tau
    term1 <- M/sqrt(fdt)/rpi*exp(-s*s/fdt)
    term2 <- ifelse(tau<timepoints,M/sqrt(fdt-fdtau)/rpi*exp(-(s-L)^2/(fdt-fdtau)),0)
    y <- 2*rpi*(term1+term2)
}
