biasvar <- function(x,na.rm=FALSE)
{
    nn <- length(x)
    val <- var(x,na.rm=na.rm)/nn
    val <- val*(nn-1)
}
lscalemse <- function(yreal,ypred)
{
    varval <- apply(yreal,2,biasvar)
    mse <- colMeans((yreal-ypred)^2)
    mse <- mse/varval
}
gscalemse <- function(yreal,ypred)
{
    varval <- biasvar(as.double(yreal))
    mse <- colMeans((yreal-ypred)^2)
    mse <- mse/varval
}
scoring <- function(yreal,predmean,predsd)
{
    L <- nrow(yreal)
    score <- -apply(((yreal-predmean)/predsd)^2+2*log(predsd),2,sum)/L
}
